Subject: Offline Message from Eric L. Nichols: I am in need of a replacement parts. I
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 21 May 2022 14:21:07 -0000

From: Eric L. Nichols <[email-masked]>
Phone: 8166452672
Location: Springfield, United States
URL: https://swagtron.com/product/swagtron-swagger-5-mainboard/?gclid=Cj0KCQjwm6KUBhC3ARIsACIwxBhUlEpCWrS1X9m0oV6FqHheMq5qqZr3NI4tZeVIOfUPgcgyVlNLS_QaArx_EALw_wcB
Department: SwagTron

I am in need of a replacement parts.  I purchased the sg5 swagtron 2 years ago. There's a plastic safety coupling that secures the gooseneck latch.  The rear fender has a light color red I'm in need of one of those. The rear fender has four rubber screw covers I'm in need of two.

----
Zopim
https://www.zopim.com